Get Auth Config
Try it
GET
/config/authenticationRetrieve the authentication provider configuration.
Authentication
No authentication required.
Response
200The response body contains Authentication Provider configuration, or is empty if no auth is configured.
application/json- object
500Request failed.
application/json- objectInformation returned by REST API endpoints on error.
detailsobjectrequiredDetailed error metadata. The contents of this field is determined by `error_code`.error_codestringrequiredError code is a string that specifies this error type.messagestringrequiredHuman-readable error message.
curl -X GET 'https://api.example.com/config/authentication'const response = await fetch('https://api.example.com/config/authentication', {
method: 'GET'
});
const data = await response.json();
console.log(data);interface ApiResponse {
// shape your response here
}
const response: Response = await fetch('https://api.example.com/config/authentication', {
method: 'GET'
});
const data = (await response.json()) as ApiResponse;
console.log(data);import requests
url = "https://api.example.com/config/authentication"
response = requests.request("get", url)
print(response.json())package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/config/authentication", nil)
if err != nil {
panic(err)
}
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(string(out))
}